> For the complete documentation index, see [llms.txt](https://docs.violet.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.violet.io/prism/checkout-guides/carts-and-bags/carts/override-prices.md).

# Override Cart Prices

{% hint style="info" %}
Price overrides are not available by default but will be enabled upon request.
{% endhint %}

Using Price Overrides a channel can optionally override the price of Order Sku's and the price of Shipping Methods.

When an Order Sku or a Shipping Method has had its price overridden the boolean `custom` property on each will change to `true`. An Order Sku must be removed from a cart to remove a custom price that was applied to it. A Shipping Method must be replaced with a new method to remove a custom price that was applied to it.

The tax amounts that are generated by the external commerce platform **will** reflect any custom prices you applied to Order Sku's or the Shipping Method. The tax amounts themselves however can not be manually overridden at this time due to the limitations of the external commerce platforms.

{% hint style="info" %}
When using price overrides with wallet-based checkout (Apple Pay, Google Pay, or Stripe Elements), the overridden totals are automatically reflected in the Stripe payment intent. No additional steps are required — Violet keeps the payment intent amount in sync with the cart's current totals.
{% endhint %}

## Sku Price Overriding

The price of an Order Sku can be overridden during cart initialization or when adding an item to an existing cart.

**Initialize Cart**

`POST /v1/checkout/cart`

```json
{
  "base_currency": "USD",
  "skus": [{
    "sku_id": 00000,
    "quantity": 1,
    "price": 999
  }]
}
```

**Add Sku to Cart**

`POST /v1/checkout/cart/{cart_id}/skus`

```json
{
  "sku_id": 00000,
  "quantity": 1,
  "price": 999
}
```

## Shipping Method Price Overriding

The price of a Shipping Method can be overridden when the method is applied to an existing cart.

`POST /v1/checkout/cart/{cart_id}/shipping`

```json
[{
  "bag_id": 00000,
  "shipping_method_id": "ground",
  "shipping_method_price": 500
}]
```

## Supported Platforms

* Shopify
* BigCommerce (*Item Prices Only*)
* WooCommerce
* Ecwid


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.violet.io/prism/checkout-guides/carts-and-bags/carts/override-prices.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
